# CollateralService
Manage collateral records.


**Symitar eDocs References:** Coming soon.

## Operations

### getCollateral

POST `/nexum/{sym}/2022.01/collateral/getCollateral`

Retrieves collateral.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | Yes |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Collateral | object | No |  |

```json
{
  "Collateral": {
    "CollateralAppStatus": 0,
    "CollateralOwner": "string",
    "CreateDate": "string",
    "Description": "string",
    "ExpireDate": "string",
    "FmLastPurgeDate": "string",
    "LastFmDate": "string",
    "Number": "string",
    "RecordChangeDate": "string",
    "RequiredDocumentList": "string",
    "Type": 0,
    "UserChar1": "string",
    "UserChar2": "string",
    "UserChar3": "string",
    "UserChar4": "string",
    "UserChar5": "string",
    "UserChar6": "string",
    "Value": 0,
    "ValueDate": "string",
    "ValueSource": "string"
  }
}
```

### getCollateralSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralSelectFields`

Retrieves collateral with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFields": true,
    "CollateralFields": {
      "CollateralAppStatus": true,
      "CollateralOwner": true,
      "CreateDate": true,
      "Description": true,
      "ExpireDate": true,
      "FmLastPurgeDate": true,
      "LastFmDate": true,
      "Number": true,
      "RecordChangeDate": true,
      "RequiredDocumentList": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true,
      "Value": true,
      "ValueDate": true,
      "ValueSource": true
    },
    "CollateralCollHoldSelectableFields": {
      "IncludeAllCollateralCollHoldFields": true,
      "CollateralCollHoldFields": {
        "AccountNumber": true,
        "Amount": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true
      }
    },
    "CollateralDocumentSelectableFields": {
      "IncludeAllCollateralDocumentFields": true,
      "CollateralDocumentFields": {
        "AccountNumber": true,
        "Branch": true,
        "Description": true,
        "DocumentDate": true,
        "ExcpDays": true,
        "ExcpNoticeCount": true,
        "ExcpNoticeCountCpWork": true,
        "ExcpNoticeDate": true,
        "ExcpNoticeOption": true,
        "ExpireDate": true,
        "LastFmDate": true,
        "Location": true,
        "Locator": true,
        "Number": true,
        "OfficerCode": true,
        "ReceivedDate": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Status": true
      },
      "CollateralDocumentTrackingSelectableFields": {
        "IncludeAllCollateralDocumentTrackingFields": true,
        "CollateralDocumentTrackingFields": {
          "CreationDate": true,
          "CreationTime": true,
          "ExpireDate": true,
          "FmLastDate": true,
          "Id": true,
          "IdType": true,
          "Locator": true,
          "RecordChangeDate": true,
          "TrackingCode": true,
          "Type": true,
          "UserAmount1": true,
          "UserAmount10": true,
          "UserAmount11": true,
          "UserAmount12": true,
          "UserAmount13": true,
          "UserAmount14": true,
          "UserAmount15": true,
          "UserAmount16": true,
          "UserAmount17": true,
          "UserAmount18": true
        }
      }
    },
    "CollateralFmHistorySelectableFields": {
      "IncludeAllCollateralFmHistoryFields": true,
      "CollateralFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "CollateralTrackingSelectableFields": {
      "IncludeAllCollateralTrackingFields": true,
      "CollateralTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Collateral | object | No |  |

```json
{
  "Collateral": {
    "CollateralAppStatus": 0,
    "CollateralOwner": "string",
    "CreateDate": "string",
    "Description": "string",
    "ExpireDate": "string",
    "FmLastPurgeDate": "string",
    "LastFmDate": "string",
    "Number": "string",
    "RecordChangeDate": "string",
    "RequiredDocumentList": "string",
    "Type": 0,
    "UserChar1": "string",
    "UserChar2": "string",
    "UserChar3": "string",
    "UserChar4": "string",
    "UserChar5": "string",
    "UserChar6": "string",
    "Value": 0,
    "ValueDate": "string",
    "ValueSource": "string"
  }
}
```

### getCollateralSelectFieldsFilterChildren

POST `/nexum/{sym}/2022.01/collateral/getCollateralSelectFieldsFilterChildren`

Retrieves collateral with selected fields and filtered children.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| ChildrenSearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFields": true,
    "CollateralFields": {
      "CollateralAppStatus": true,
      "CollateralOwner": true,
      "CreateDate": true,
      "Description": true,
      "ExpireDate": true,
      "FmLastPurgeDate": true,
      "LastFmDate": true,
      "Number": true,
      "RecordChangeDate": true,
      "RequiredDocumentList": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true,
      "Value": true,
      "ValueDate": true,
      "ValueSource": true
    },
    "CollateralCollHoldSelectableFields": {
      "IncludeAllCollateralCollHoldFields": true,
      "CollateralCollHoldFields": {
        "AccountNumber": true,
        "Amount": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true
      }
    },
    "CollateralDocumentSelectableFields": {
      "IncludeAllCollateralDocumentFields": true,
      "CollateralDocumentFields": {
        "AccountNumber": true,
        "Branch": true,
        "Description": true,
        "DocumentDate": true,
        "ExcpDays": true,
        "ExcpNoticeCount": true,
        "ExcpNoticeCountCpWork": true,
        "ExcpNoticeDate": true,
        "ExcpNoticeOption": true,
        "ExpireDate": true,
        "LastFmDate": true,
        "Location": true,
        "Locator": true,
        "Number": true,
        "OfficerCode": true,
        "ReceivedDate": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Status": true
      },
      "CollateralDocumentTrackingSelectableFields": {
        "IncludeAllCollateralDocumentTrackingFields": true,
        "CollateralDocumentTrackingFields": {
          "CreationDate": true,
          "CreationTime": true,
          "ExpireDate": true,
          "FmLastDate": true,
          "Id": true,
          "IdType": true,
          "Locator": true,
          "RecordChangeDate": true,
          "TrackingCode": true,
          "Type": true,
          "UserAmount1": true,
          "UserAmount10": true,
          "UserAmount11": true,
          "UserAmount12": true,
          "UserAmount13": true,
          "UserAmount14": true,
          "UserAmount15": true,
          "UserAmount16": true,
          "UserAmount17": true,
          "UserAmount18": true
        }
      }
    },
    "CollateralFmHistorySelectableFields": {
      "IncludeAllCollateralFmHistoryFields": true,
      "CollateralFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "CollateralTrackingSelectableFields": {
      "IncludeAllCollateralTrackingFields": true,
      "CollateralTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "CollateralCollHoldFilter": {
      "Query": "string"
    },
    "CollateralDocumentFilter": {
      "Query": "string",
      "CollateralDocumentChildrenFilter": {
        "CollateralDocumentTrackingFilter": {
          "Query": "string"
        }
      }
    },
    "CollateralFmHistoryFilter": {
      "Query": "string"
    },
    "CollateralTrackingFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Collateral | object | No |  |

```json
{
  "Collateral": {
    "CollateralAppStatus": 0,
    "CollateralOwner": "string",
    "CreateDate": "string",
    "Description": "string",
    "ExpireDate": "string",
    "FmLastPurgeDate": "string",
    "LastFmDate": "string",
    "Number": "string",
    "RecordChangeDate": "string",
    "RequiredDocumentList": "string",
    "Type": 0,
    "UserChar1": "string",
    "UserChar2": "string",
    "UserChar3": "string",
    "UserChar4": "string",
    "UserChar5": "string",
    "UserChar6": "string",
    "Value": 0,
    "ValueDate": "string",
    "ValueSource": "string"
  }
}
```

### getCollateralCollHold

POST `/nexum/{sym}/2022.01/collateral/getCollateralCollHold`

Retrieves collateral collateral hold.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralCollHoldLocator | integer | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralCollHold | object | No |  |

```json
{
  "CollateralCollHold": {
    "AccountNumber": "string",
    "Amount": 0,
    "EffectiveDate": "string",
    "ExpirationDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string"
  }
}
```

### getCollateralCollHoldSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralCollHoldSelectFields`

Retrieves collateral collateral hold with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralCollHoldLocator | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralCollHold | object | No |  |

```json
{
  "CollateralCollHold": {
    "AccountNumber": "string",
    "Amount": 0,
    "EffectiveDate": "string",
    "ExpirationDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string"
  }
}
```

### getCollateralCollHoldPagedList

POST `/nexum/{sym}/2022.01/collateral/getCollateralCollHoldPagedList`

Retrieves a paged list of collateral collateral holds.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralCollHold | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralCollHold": [
    {
      "AccountNumber": "string",
      "Amount": 0,
      "EffectiveDate": "string",
      "ExpirationDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string"
    }
  ],
  "Token": "string"
}
```

### getCollateralCollHoldListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralCollHoldListSelectFields`

Retrieves a list of collateral collateral holds with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralCollHoldList | object | No |  |

```json
{
  "CollateralCollHoldList": {
    "hasReachedMaximumListSize": true,
    "CollateralCollHold": [
      {
        "AccountNumber": "string",
        "Amount": 0,
        "EffectiveDate": "string",
        "ExpirationDate": "string",
        "Id": "string",
        "IdType": 0,
        "Locator": 0,
        "RecordChangeDate": "string"
      }
    ]
  }
}
```

### searchCollateralCollHoldSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralCollHoldSelectFields`

Searches collateral collateral holds with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralCollHoldList | object | No |  |

```json
{
  "CollateralCollHoldList": {
    "hasReachedMaximumListSize": true,
    "CollateralCollHold": [
      {
        "AccountNumber": "string",
        "Amount": 0,
        "EffectiveDate": "string",
        "ExpirationDate": "string",
        "Id": "string",
        "IdType": 0,
        "Locator": 0,
        "RecordChangeDate": "string"
      }
    ]
  }
}
```

### getCollateralCollHoldPagedListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralCollHoldPagedListSelectFields`

Retrieves a paged list of collateral collateral holds with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralCollHold | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralCollHold": [
    {
      "AccountNumber": "string",
      "Amount": 0,
      "EffectiveDate": "string",
      "ExpirationDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string"
    }
  ],
  "Token": "string"
}
```

### searchCollateralCollHoldPagedSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralCollHoldPagedSelectFields`

Searches collateral collateral holds with pagination and selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralCollHold | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralCollHold": [
    {
      "AccountNumber": "string",
      "Amount": 0,
      "EffectiveDate": "string",
      "ExpirationDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string"
    }
  ],
  "Token": "string"
}
```

### getCollateralDocument

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocument`

Retrieves collateral document.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocument | object | No |  |

```json
{
  "CollateralDocument": {
    "AccountNumber": "string",
    "Branch": 0,
    "Description": "string",
    "DocumentDate": "string",
    "ExcpDays": 0,
    "ExcpNoticeCount": 0,
    "ExcpNoticeCountCpWork": 0,
    "ExcpNoticeDate": "string",
    "ExcpNoticeOption": 0,
    "ExpireDate": "string",
    "LastFmDate": "string",
    "Location": "string",
    "Locator": 0,
    "Number": "string",
    "OfficerCode": 0,
    "ReceivedDate": "string",
    "RecordChangeDate": "string",
    "SlId": "string",
    "SlIdType": 0,
    "Status": 0
  }
}
```

### getCollateralDocumentSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentSelectFields`

Retrieves collateral document with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocument | object | No |  |

```json
{
  "CollateralDocument": {
    "AccountNumber": "string",
    "Branch": 0,
    "Description": "string",
    "DocumentDate": "string",
    "ExcpDays": 0,
    "ExcpNoticeCount": 0,
    "ExcpNoticeCountCpWork": 0,
    "ExcpNoticeDate": "string",
    "ExcpNoticeOption": 0,
    "ExpireDate": "string",
    "LastFmDate": "string",
    "Location": "string",
    "Locator": 0,
    "Number": "string",
    "OfficerCode": 0,
    "ReceivedDate": "string",
    "RecordChangeDate": "string",
    "SlId": "string",
    "SlIdType": 0,
    "Status": 0
  }
}
```

### getCollateralDocumentSelectFieldsFilterChildren

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentSelectFieldsFilterChildren`

Retrieves collateral document with selected fields and filtered children.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| SelectableFields | object | No |  |
| ChildrenSearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "CollateralDocumentTrackingFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocument | object | No |  |

```json
{
  "CollateralDocument": {
    "AccountNumber": "string",
    "Branch": 0,
    "Description": "string",
    "DocumentDate": "string",
    "ExcpDays": 0,
    "ExcpNoticeCount": 0,
    "ExcpNoticeCountCpWork": 0,
    "ExcpNoticeDate": "string",
    "ExcpNoticeOption": 0,
    "ExpireDate": "string",
    "LastFmDate": "string",
    "Location": "string",
    "Locator": 0,
    "Number": "string",
    "OfficerCode": 0,
    "ReceivedDate": "string",
    "RecordChangeDate": "string",
    "SlId": "string",
    "SlIdType": 0,
    "Status": 0
  }
}
```

### getCollateralDocumentPagedList

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentPagedList`

Retrieves a paged list of collateral documents.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocument | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralDocument": [
    {
      "AccountNumber": "string",
      "Branch": 0,
      "Description": "string",
      "DocumentDate": "string",
      "ExcpDays": 0,
      "ExcpNoticeCount": 0,
      "ExcpNoticeCountCpWork": 0,
      "ExcpNoticeDate": "string",
      "ExcpNoticeOption": 0,
      "ExpireDate": "string",
      "LastFmDate": "string",
      "Location": "string",
      "Locator": 0,
      "Number": "string",
      "OfficerCode": 0,
      "ReceivedDate": "string",
      "RecordChangeDate": "string",
      "SlId": "string",
      "SlIdType": 0,
      "Status": 0
    }
  ],
  "Token": "string"
}
```

### getCollateralDocumentListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentListSelectFields`

Retrieves a list of collateral documents with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentList | object | No |  |

```json
{
  "CollateralDocumentList": {
    "hasReachedMaximumListSize": true,
    "CollateralDocument": [
      {
        "AccountNumber": "string",
        "Branch": 0,
        "Description": "string",
        "DocumentDate": "string",
        "ExcpDays": 0,
        "ExcpNoticeCount": 0,
        "ExcpNoticeCountCpWork": 0,
        "ExcpNoticeDate": "string",
        "ExcpNoticeOption": 0,
        "ExpireDate": "string",
        "LastFmDate": "string",
        "Location": "string",
        "Locator": 0,
        "Number": "string",
        "OfficerCode": 0,
        "ReceivedDate": "string",
        "RecordChangeDate": "string",
        "SlId": "string",
        "SlIdType": 0,
        "Status": 0
      }
    ]
  }
}
```

### searchCollateralDocumentSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralDocumentSelectFields`

Searches collateral documents with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "CollateralDocumentChildrenFilter": {
      "CollateralDocumentTrackingFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentList | object | No |  |

```json
{
  "CollateralDocumentList": {
    "hasReachedMaximumListSize": true,
    "CollateralDocument": [
      {
        "AccountNumber": "string",
        "Branch": 0,
        "Description": "string",
        "DocumentDate": "string",
        "ExcpDays": 0,
        "ExcpNoticeCount": 0,
        "ExcpNoticeCountCpWork": 0,
        "ExcpNoticeDate": "string",
        "ExcpNoticeOption": 0,
        "ExpireDate": "string",
        "LastFmDate": "string",
        "Location": "string",
        "Locator": 0,
        "Number": "string",
        "OfficerCode": 0,
        "ReceivedDate": "string",
        "RecordChangeDate": "string",
        "SlId": "string",
        "SlIdType": 0,
        "Status": 0
      }
    ]
  }
}
```

### getCollateralDocumentPagedListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentPagedListSelectFields`

Retrieves a paged list of collateral documents with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocument | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralDocument": [
    {
      "AccountNumber": "string",
      "Branch": 0,
      "Description": "string",
      "DocumentDate": "string",
      "ExcpDays": 0,
      "ExcpNoticeCount": 0,
      "ExcpNoticeCountCpWork": 0,
      "ExcpNoticeDate": "string",
      "ExcpNoticeOption": 0,
      "ExpireDate": "string",
      "LastFmDate": "string",
      "Location": "string",
      "Locator": 0,
      "Number": "string",
      "OfficerCode": 0,
      "ReceivedDate": "string",
      "RecordChangeDate": "string",
      "SlId": "string",
      "SlIdType": 0,
      "Status": 0
    }
  ],
  "Token": "string"
}
```

### searchCollateralDocumentPagedSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralDocumentPagedSelectFields`

Searches collateral documents with pagination and selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocument | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralDocument": [
    {
      "AccountNumber": "string",
      "Branch": 0,
      "Description": "string",
      "DocumentDate": "string",
      "ExcpDays": 0,
      "ExcpNoticeCount": 0,
      "ExcpNoticeCountCpWork": 0,
      "ExcpNoticeDate": "string",
      "ExcpNoticeOption": 0,
      "ExpireDate": "string",
      "LastFmDate": "string",
      "Location": "string",
      "Locator": 0,
      "Number": "string",
      "OfficerCode": 0,
      "ReceivedDate": "string",
      "RecordChangeDate": "string",
      "SlId": "string",
      "SlIdType": 0,
      "Status": 0
    }
  ],
  "Token": "string"
}
```

### getCollateralDocumentTracking

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentTracking`

Retrieves collateral document tracking.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| CollateralDocumentTrackingLocator | integer | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentTracking | object | No |  |

```json
{
  "CollateralDocumentTracking": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0
  }
}
```

### getCollateralDocumentTrackingSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingSelectFields`

Retrieves collateral document tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| CollateralDocumentTrackingLocator | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentTracking | object | No |  |

```json
{
  "CollateralDocumentTracking": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0
  }
}
```

### getCollateralDocumentTrackingPagedList

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingPagedList`

Retrieves a paged list of collateral document tracking.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| PagingRequestContext | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentTracking | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralDocumentTracking": [
    {
      "CreationDate": "string",
      "CreationTime": 0,
      "ExpireDate": "string",
      "FmLastDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string",
      "TrackingCode": 0,
      "Type": 0,
      "UserAmount1": 0,
      "UserAmount10": 0,
      "UserAmount11": 0,
      "UserAmount12": 0,
      "UserAmount13": 0,
      "UserAmount14": 0,
      "UserAmount15": 0,
      "UserAmount16": 0,
      "UserAmount17": 0,
      "UserAmount18": 0
    }
  ],
  "Token": "string"
}
```

### getCollateralDocumentTrackingListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingListSelectFields`

Retrieves a list of collateral document tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentTrackingList | object | No |  |

```json
{
  "CollateralDocumentTrackingList": {
    "hasReachedMaximumListSize": true,
    "CollateralDocumentTracking": [
      {
        "CreationDate": "string",
        "CreationTime": 0,
        "ExpireDate": "string",
        "FmLastDate": "string",
        "Id": "string",
        "IdType": 0,
        "Locator": 0,
        "RecordChangeDate": "string",
        "TrackingCode": 0,
        "Type": 0,
        "UserAmount1": 0,
        "UserAmount10": 0,
        "UserAmount11": 0,
        "UserAmount12": 0,
        "UserAmount13": 0,
        "UserAmount14": 0,
        "UserAmount15": 0,
        "UserAmount16": 0,
        "UserAmount17": 0,
        "UserAmount18": 0
      }
    ]
  }
}
```

### searchCollateralDocumentTrackingSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralDocumentTrackingSelectFields`

Searches collateral document tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentTrackingList | object | No |  |

```json
{
  "CollateralDocumentTrackingList": {
    "hasReachedMaximumListSize": true,
    "CollateralDocumentTracking": [
      {
        "CreationDate": "string",
        "CreationTime": 0,
        "ExpireDate": "string",
        "FmLastDate": "string",
        "Id": "string",
        "IdType": 0,
        "Locator": 0,
        "RecordChangeDate": "string",
        "TrackingCode": 0,
        "Type": 0,
        "UserAmount1": 0,
        "UserAmount10": 0,
        "UserAmount11": 0,
        "UserAmount12": 0,
        "UserAmount13": 0,
        "UserAmount14": 0,
        "UserAmount15": 0,
        "UserAmount16": 0,
        "UserAmount17": 0,
        "UserAmount18": 0
      }
    ]
  }
}
```

### getCollateralDocumentTrackingPagedListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingPagedListSelectFields`

Retrieves a paged list of collateral document tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentTracking | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralDocumentTracking": [
    {
      "CreationDate": "string",
      "CreationTime": 0,
      "ExpireDate": "string",
      "FmLastDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string",
      "TrackingCode": 0,
      "Type": 0,
      "UserAmount1": 0,
      "UserAmount10": 0,
      "UserAmount11": 0,
      "UserAmount12": 0,
      "UserAmount13": 0,
      "UserAmount14": 0,
      "UserAmount15": 0,
      "UserAmount16": 0,
      "UserAmount17": 0,
      "UserAmount18": 0
    }
  ],
  "Token": "string"
}
```

### searchCollateralDocumentTrackingPagedSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralDocumentTrackingPagedSelectFields`

Searches collateral document tracking with pagination and selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralDocumentTracking | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralDocumentTracking": [
    {
      "CreationDate": "string",
      "CreationTime": 0,
      "ExpireDate": "string",
      "FmLastDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string",
      "TrackingCode": 0,
      "Type": 0,
      "UserAmount1": 0,
      "UserAmount10": 0,
      "UserAmount11": 0,
      "UserAmount12": 0,
      "UserAmount13": 0,
      "UserAmount14": 0,
      "UserAmount15": 0,
      "UserAmount16": 0,
      "UserAmount17": 0,
      "UserAmount18": 0
    }
  ],
  "Token": "string"
}
```

### getCollateralFmHistoryPagedList

POST `/nexum/{sym}/2022.01/collateral/getCollateralFmHistoryPagedList`

Retrieves a paged list of collateral FM history.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralFmHistory | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralFmHistory": [
    {
      "AccountNumber": "string",
      "BatchSequence": 0,
      "Branch": 0,
      "ConfirmationSeq": 0,
      "ConsoleNumber": 0,
      "DataType": 0,
      "FieldName": "string",
      "FieldNumber": 0,
      "FmType": 0,
      "Id": "string",
      "IdType": 0,
      "LastFmDate": "string",
      "NewCharacter": "string",
      "NewDate": "string",
      "NewMoney": 0,
      "NewNumber": 0,
      "NewRate": 0,
      "OldCharacter": "string",
      "OldDate": "string",
      "OldMoney": 0
    }
  ],
  "Token": "string"
}
```

### getCollateralFmHistoryListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralFmHistoryListSelectFields`

Retrieves a list of collateral FM history with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralFmHistoryList | object | No |  |

```json
{
  "CollateralFmHistoryList": {
    "hasReachedMaximumListSize": true,
    "CollateralFmHistory": [
      {
        "AccountNumber": "string",
        "BatchSequence": 0,
        "Branch": 0,
        "ConfirmationSeq": 0,
        "ConsoleNumber": 0,
        "DataType": 0,
        "FieldName": "string",
        "FieldNumber": 0,
        "FmType": 0,
        "Id": "string",
        "IdType": 0,
        "LastFmDate": "string",
        "NewCharacter": "string",
        "NewDate": "string",
        "NewMoney": 0,
        "NewNumber": 0,
        "NewRate": 0,
        "OldCharacter": "string",
        "OldDate": "string",
        "OldMoney": 0
      }
    ]
  }
}
```

### searchCollateralFmHistorySelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralFmHistorySelectFields`

Searches collateral FM history with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralFmHistoryList | object | No |  |

```json
{
  "CollateralFmHistoryList": {
    "hasReachedMaximumListSize": true,
    "CollateralFmHistory": [
      {
        "AccountNumber": "string",
        "BatchSequence": 0,
        "Branch": 0,
        "ConfirmationSeq": 0,
        "ConsoleNumber": 0,
        "DataType": 0,
        "FieldName": "string",
        "FieldNumber": 0,
        "FmType": 0,
        "Id": "string",
        "IdType": 0,
        "LastFmDate": "string",
        "NewCharacter": "string",
        "NewDate": "string",
        "NewMoney": 0,
        "NewNumber": 0,
        "NewRate": 0,
        "OldCharacter": "string",
        "OldDate": "string",
        "OldMoney": 0
      }
    ]
  }
}
```

### getCollateralFmHistoryPagedListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralFmHistoryPagedListSelectFields`

Retrieves a paged list of collateral FM history with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralFmHistory | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralFmHistory": [
    {
      "AccountNumber": "string",
      "BatchSequence": 0,
      "Branch": 0,
      "ConfirmationSeq": 0,
      "ConsoleNumber": 0,
      "DataType": 0,
      "FieldName": "string",
      "FieldNumber": 0,
      "FmType": 0,
      "Id": "string",
      "IdType": 0,
      "LastFmDate": "string",
      "NewCharacter": "string",
      "NewDate": "string",
      "NewMoney": 0,
      "NewNumber": 0,
      "NewRate": 0,
      "OldCharacter": "string",
      "OldDate": "string",
      "OldMoney": 0
    }
  ],
  "Token": "string"
}
```

### searchCollateralFmHistoryPagedSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralFmHistoryPagedSelectFields`

Searches collateral FM history with pagination and selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralFmHistory | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralFmHistory": [
    {
      "AccountNumber": "string",
      "BatchSequence": 0,
      "Branch": 0,
      "ConfirmationSeq": 0,
      "ConsoleNumber": 0,
      "DataType": 0,
      "FieldName": "string",
      "FieldNumber": 0,
      "FmType": 0,
      "Id": "string",
      "IdType": 0,
      "LastFmDate": "string",
      "NewCharacter": "string",
      "NewDate": "string",
      "NewMoney": 0,
      "NewNumber": 0,
      "NewRate": 0,
      "OldCharacter": "string",
      "OldDate": "string",
      "OldMoney": 0
    }
  ],
  "Token": "string"
}
```

### getCollateralTracking

POST `/nexum/{sym}/2022.01/collateral/getCollateralTracking`

Retrieves collateral tracking.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralTrackingLocator | integer | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralTracking | object | No |  |

```json
{
  "CollateralTracking": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0
  }
}
```

### getCollateralTrackingSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralTrackingSelectFields`

Retrieves collateral tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralTrackingLocator | integer | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralTracking | object | No |  |

```json
{
  "CollateralTracking": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0
  }
}
```

### getCollateralTrackingPagedList

POST `/nexum/{sym}/2022.01/collateral/getCollateralTrackingPagedList`

Retrieves a paged list of collateral tracking.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralTracking | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralTracking": [
    {
      "CreationDate": "string",
      "CreationTime": 0,
      "ExpireDate": "string",
      "FmLastDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string",
      "TrackingCode": 0,
      "Type": 0,
      "UserAmount1": 0,
      "UserAmount10": 0,
      "UserAmount11": 0,
      "UserAmount12": 0,
      "UserAmount13": 0,
      "UserAmount14": 0,
      "UserAmount15": 0,
      "UserAmount16": 0,
      "UserAmount17": 0,
      "UserAmount18": 0
    }
  ],
  "Token": "string"
}
```

### getCollateralTrackingListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralTrackingListSelectFields`

Retrieves a list of collateral tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralTrackingList | object | No |  |

```json
{
  "CollateralTrackingList": {
    "hasReachedMaximumListSize": true,
    "CollateralTracking": [
      {
        "CreationDate": "string",
        "CreationTime": 0,
        "ExpireDate": "string",
        "FmLastDate": "string",
        "Id": "string",
        "IdType": 0,
        "Locator": 0,
        "RecordChangeDate": "string",
        "TrackingCode": 0,
        "Type": 0,
        "UserAmount1": 0,
        "UserAmount10": 0,
        "UserAmount11": 0,
        "UserAmount12": 0,
        "UserAmount13": 0,
        "UserAmount14": 0,
        "UserAmount15": 0,
        "UserAmount16": 0,
        "UserAmount17": 0,
        "UserAmount18": 0
      }
    ]
  }
}
```

### searchCollateralTrackingSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralTrackingSelectFields`

Searches collateral tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| SelectableFields | object | No |  |
| SearchFilter | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralTrackingList | object | No |  |

```json
{
  "CollateralTrackingList": {
    "hasReachedMaximumListSize": true,
    "CollateralTracking": [
      {
        "CreationDate": "string",
        "CreationTime": 0,
        "ExpireDate": "string",
        "FmLastDate": "string",
        "Id": "string",
        "IdType": 0,
        "Locator": 0,
        "RecordChangeDate": "string",
        "TrackingCode": 0,
        "Type": 0,
        "UserAmount1": 0,
        "UserAmount10": 0,
        "UserAmount11": 0,
        "UserAmount12": 0,
        "UserAmount13": 0,
        "UserAmount14": 0,
        "UserAmount15": 0,
        "UserAmount16": 0,
        "UserAmount17": 0,
        "UserAmount18": 0
      }
    ]
  }
}
```

### getCollateralTrackingPagedListSelectFields

POST `/nexum/{sym}/2022.01/collateral/getCollateralTrackingPagedListSelectFields`

Retrieves a paged list of collateral tracking with selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralTracking | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralTracking": [
    {
      "CreationDate": "string",
      "CreationTime": 0,
      "ExpireDate": "string",
      "FmLastDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string",
      "TrackingCode": 0,
      "Type": 0,
      "UserAmount1": 0,
      "UserAmount10": 0,
      "UserAmount11": 0,
      "UserAmount12": 0,
      "UserAmount13": 0,
      "UserAmount14": 0,
      "UserAmount15": 0,
      "UserAmount16": 0,
      "UserAmount17": 0,
      "UserAmount18": 0
    }
  ],
  "Token": "string"
}
```

### searchCollateralTrackingPagedSelectFields

POST `/nexum/{sym}/2022.01/collateral/searchCollateralTrackingPagedSelectFields`

Searches collateral tracking with pagination and selected fields.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| PagingRequestContext | object | No |  |
| SelectableFields | object | No |  |
| Query | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| CollateralTracking | object[] | No |  |
| Token | string | No |  |

```json
{
  "CollateralTracking": [
    {
      "CreationDate": "string",
      "CreationTime": 0,
      "ExpireDate": "string",
      "FmLastDate": "string",
      "Id": "string",
      "IdType": 0,
      "Locator": 0,
      "RecordChangeDate": "string",
      "TrackingCode": 0,
      "Type": 0,
      "UserAmount1": 0,
      "UserAmount10": 0,
      "UserAmount11": 0,
      "UserAmount12": 0,
      "UserAmount13": 0,
      "UserAmount14": 0,
      "UserAmount15": 0,
      "UserAmount16": 0,
      "UserAmount17": 0,
      "UserAmount18": 0
    }
  ],
  "Token": "string"
}
```

### updateCollateralByID

POST `/nexum/{sym}/2022.01/collateral/updateCollateralByID`

Updates collateral by ID.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralNumber | string | No |  |
| CollateralUpdatableFields | object | No |  |
| CollateralCollHoldUpdateRequest | object[] | No |  |
| CollateralDocumentUpdateRequest | object[] | No |  |
| CollateralTrackingUpdateRequest | object[] | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralCollHoldUpdateRequest": [],
  "CollateralDocumentUpdateRequest": [],
  "CollateralTrackingUpdateRequest": [],
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| UpdateStatus | object | No |  |

```json
{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "string"
}
```

### updateCollateralCollHoldByID

POST `/nexum/{sym}/2022.01/collateral/updateCollateralCollHoldByID`

Updates collateral collateral hold by ID.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralCollHoldLocator | integer | No |  |
| CollateralCollHoldUpdatableFields | object | No |  |
| CollateralNumber | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralCollHoldLocator": 0,
  "CollateralCollHoldUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| UpdateStatus | object | No |  |

```json
{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "string"
}
```

### updateCollateralDocumentByID

POST `/nexum/{sym}/2022.01/collateral/updateCollateralDocumentByID`

Updates collateral document by ID.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralDocumentLocator | integer | No |  |
| CollateralDocumentUpdatableFields | object | No |  |
| CollateralDocumentTrackingUpdateRequest | object[] | No |  |
| CollateralNumber | string | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentLocator": 0,
  "CollateralDocumentUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralDocumentTrackingUpdateRequest": [],
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}
```

#### Response 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| UpdateStatus | object | No |  |

```json
{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "string"
}
```

### updateCollateralDocumentTrackingByID

POST `/nexum/{sym}/2022.01/collateral/updateCollateralDocumentTrackingByID`

Updates collateral document tracking by ID.

[OpenAPI source, including all nested schema definitions](/docs/nexum/openapi/v2022.01-collateral.yaml)

#### Authorization

bearerAuth

- **sym** (path, string, required): Sym number

#### Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| Credentials | object | Yes | The authorization object required for the operation. Only one credential type is required (if multiple are available) as long as it is configured in SymXchange parameters. |
| CollateralDocumentTrackingLocator | integer | No |  |
| CollateralDocumentTrackingUpdatableFields | object | No |  |
| CollateralNumber | string | No |  |
| CollateralDocumentLocator | integer | No |  |
| nxAttributes | object | No | The custom object for NexumAPI request attributes. |

```json
{
[...]
